> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payroll Documents.updated webhook

> 
The `payroll_documents.updated` webhook is sent when there is any change to a property value of a [payroll document object](/api-reference/payroll-documents) during a [data refresh](/overview/ongoing-refresh).




## OpenAPI

````yaml openAPI/payroll-documents-webhooks-updated.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Payroll Documents Webhooks
  version: 1.0.0
  description: Sent when payroll document events occur.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >

        The `payroll_documents.updated` webhook is sent when there is any change
        to a property value of a [payroll document
        object](/api-reference/payroll-documents) during a [data
        refresh](/overview/ongoing-refresh).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/payrollDocumentsUpdated'
            examples:
              payroll_documents_updated_subscription:
                summary: payroll_documents.updated subscription
                value:
                  events:
                    - payroll_documents.updated
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/payrollDocumentsUpdatedResponse'
components:
  schemas:
    payrollDocumentsUpdated:
      type: object
      required:
        - events
        - name
        - url
      example:
        events:
          - payroll_documents.updated
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
      properties:
        events:
          type: array
          description: '`payroll_documents.updated`'
          items:
            type: string
        name:
          type: string
          description: Your name for the webhook subscription.
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
    payrollDocumentsUpdatedResponse:
      type: object
      properties:
        event:
          type: string
          description: '`payroll_documents.updated`'
          example: payroll_documents.updated
        name:
          type: string
          description: Name used for the webhook subscription.
          example: name-for-the-webhook-subscription
        data:
          type: object
          description: Data related to the event.
          properties:
            account:
              type: string
              format: uuid
              description: ID of the account.
              example: 0187c66e-e7e5-811c-b006-2232f00f426a
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            payroll_document:
              type: string
              format: uuid
              description: ID of the payroll document.
              example: 0176dc14-bb37-402a-7be1-f5261759fae7
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````